PeaZip Free Archiver
======

|    GitHub      |   SourceForge  |    Flathub     |
|     :---:      |     :---:      |     :---:      |
| ![GitHub all releases](https://img.shields.io/github/downloads/peazip/PeaZip/total) | ![SourceForge](https://img.shields.io/sourceforge/dt/peazip) | ![Flathub](https://img.shields.io/flathub/downloads/io.github.peazip.PeaZip) |

PeaZip is a free file archiver utility and rar extractor for Linux, macOS, and Windows, which works with 200+ archive types and variants (7z, ace, arc, bz2, cab, gz, iso, paq, pea, rar, tar, wim, zip, zipx...), handles spanned archives (001, r01, z01...), supports multiple archive encryption standards, file hashing, exports tasks as console scripts.

The project aims to provide a cross-platform, portable, GUI frontend for multiple Open Source technologies (7-Zip, FreeArc, PAQ/ZPAQ, PEA, UPX, Brotli, Zstd) focused on file and archive management, and security (strong encryption, two factor authentication, encrypted password manager, secure delete).

PeaZip offers a LGPLv3 alternative to proprietary software (WinZip, WinRar, etc), running as native application on Windows/Win64, Wine/ReactOS, Linux x86/x86-64 (with Linux ARM and BSD ports also available), and Darwin/macOS both Intel x86_64 and aarch64 (e.g. M1 Apple Silicon SoC).

**How to build PeaZip**

Up to date sources are available in peazip-sources Git directory, and snapshots of the source code at each x.y.z release are available in Releases as peazip-x.y.z.src.zip packages, with https://github.com/peazip/PeaZip/blob/sources/peazip-sources/readme.txt (featured both in Git and inside the source packages) containing detailed instructions for compiling the application and building packages for different systems.

The program is written in Lazarus/FreePascal, Windows installers are scripted with InnoSetup, also using a Pascal-like syntax.

**Userful links:**

Downloads: https://peazip.github.io

Add-ons and Plugin (UNRAR5, UNACE...): https://peazip.github.io/peazip-add-ons.html

Additional information page about compiling and building PeaZip from sources: https://peazip.github.io/peazip-sources.html

Support: https://peazip.github.io/peazip-help.html

FAQ: https://peazip.github.io/peazip-help-faq.html

Donations: https://peazip.github.io/donations.html

How to use or provide translations: https://github.com/peazip/PeaZip-Translations

![GitHub](https://img.shields.io/github/license/peazip/PeaZip)
